Bug 1258204 - [abrt] pyqt-mail-checker: MessageDialog.py:70:__init__:TypeError: arguments did not match any overloaded call:
[abrt] pyqt-mail-checker: MessageDialog.py:70:__init__:TypeError: arguments d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pyqt-mail-checker (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fl@sh
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3f4dca625ad2f4d8ef2ba75f6fc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-30 05:24 EDT by maxime.tierre
Modified: 2015-10-08 15:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: pyqt-mail-checker-2.1.15-1.fc21 pyqt-mail-checker-2.1.15-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-08 14:49:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.53 KB, text/plain)
2015-08-30 05:24 EDT, maxime.tierre
no flags Details
File: environ (1.46 KB, text/plain)
2015-08-30 05:24 EDT, maxime.tierre
no flags Details

  None (edit)
Description maxime.tierre 2015-08-30 05:24:28 EDT
Version-Release number of selected component:
pyqt-mail-checker-2.1.14-1.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python /usr/bin/pyqt-mail-checker
executable:     /usr/bin/pyqt-mail-checker
kernel:         4.1.6-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
MessageDialog.py:70:__init__:TypeError: arguments did not match any overloaded call:
  QSizePolicy(): argument 1 has unexpected type 'ControlType'
  QSizePolicy(QSizePolicy.Policy, QSizePolicy.Policy): argument 1 has unexpected type 'ControlType'

Traceback (most recent call last):
  File "/usr/share/pyqt-mail-checker/mainWindow.py", line 949, in enterPassword
    if self.checkAccess() :
  File "/usr/share/pyqt-mail-checker/mainWindow.py", line 891, in checkAccess
    "Warning :\nSecurity service for password restore\ndon`t choiced!"))
  File "/usr/share/pyqt-mail-checker/mainWindow.py", line 533, in eventNotification
    self.MessageStackWidget.newMessage(str_, jobID, self.msgLifeTime)
  File "/usr/share/pyqt-mail-checker/MessageStack/MessageStackWidget.py", line 47, in newMessage
    self.MessageStack[jobID] = MessageDialog(str_, jobID, lifetime, self)
  File "/usr/share/pyqt-mail-checker/MessageStack/MessageDialog.py", line 70, in __init__
    self.setSizePolicy(QSizePolicy(QSizePolicy.PushButton))
TypeError: arguments did not match any overloaded call:
  QSizePolicy(): argument 1 has unexpected type 'ControlType'
  QSizePolicy(QSizePolicy.Policy, QSizePolicy.Policy): argument 1 has unexpected type 'ControlType'

Local variables in innermost frame:
self: <MessageStack.MessageDialog.MessageDialog object at 0x7f963900c770>
sec: 30
mailList: PyQt4.QtCore.QString(u'Warning :\nSecurity service for password restore\ndon`t choiced!')
parent: <MessageStack.MessageStackWidget.MessageStackWidget object at 0x7f963900e808>
jobID: 'av0IisufA2GM'
Comment 1 maxime.tierre 2015-08-30 05:24:30 EDT
Created attachment 1068387 [details]
File: backtrace
Comment 2 maxime.tierre 2015-08-30 05:24:31 EDT
Created attachment 1068388 [details]
File: environ
Comment 3 Fl@sh 2015-08-31 10:54:53 EDT
quick workaround is a replace:
    self.setSizePolicy(QSizePolicy(QSizePolicy.PushButton))
to:
   self.setSizePolicy(QSizePolicy.PushButton, QSizePolicy.PushButton)

in File "/usr/share/pyqt-mail-checker/MessageStack/MessageDialog.py", line 70


I have not experienced this, but using the application constantly...
Report here about result of workaround.
Comment 4 Fedora Update System 2015-09-09 10:54:12 EDT
pyqt-mail-checker-2.1.15-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15471
Comment 5 Fedora Update System 2015-09-09 10:54:14 EDT
pyqt-mail-checker-2.1.15-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15472
Comment 6 Fedora Update System 2015-09-09 21:02:58 EDT
pyqt-mail-checker-2.1.15-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pyqt-mail-checker'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15471
Comment 7 Fedora Update System 2015-09-09 22:07:22 EDT
pyqt-mail-checker-2.1.15-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pyqt-mail-checker'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15472
Comment 8 Fedora Update System 2015-10-08 14:49:00 EDT
pyqt-mail-checker-2.1.15-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-10-08 15:52:00 EDT
pyqt-mail-checker-2.1.15-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.